Bug 17849 - fatal error during install
fatal error during install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-26 03:52 EDT by Need Real Name
Modified: 2007-04-18 12:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-26 17:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-26 03:52:10 EDT
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 428, in nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/usr/lib/anaconda/gui.py", line 466, in setScreen
    new_screen = screen.getScreen ()
  File "/usr/lib/anaconda/iw/package_gui.py", line 426, in getScreen
    self.todo.getHeaderList ()
  File "/usr/lib/anaconda/todo.py", line 532, in getHeaderList
    self.hdList = self.method.readHeaders()
  File "/usr/lib/anaconda/image.py", line 22, in readHeaders
    return HeaderListFromFile(self.tree + "/RedHat/base/hdlist")
  File "/usr/lib/anaconda/comps.py", line 136, in __init__
    hdlist = rpm.readHeaderListFromFile(path)    
rpm.error: (2, 'No such file or directory')

Local variables in innermost frame:
compatPackages: None
self: <comps.HeaderListFromFile instance at 8673830>
path: /mnt/source/./RedHat/base/hdlist

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4                                                                        

rest of file available if wanted
Comment 1 Michael Fulbright 2000-09-26 11:06:51 EDT
This normally happens when the path to the install tree is incorrectly
specified.

What is the directory structure of the install image on the NFS server?

Did you make sure to copy both CD's into the install image?
Comment 2 Need Real Name 2000-09-26 17:47:34 EDT
Per feedback from msf@redhat.com, this is not bug, but rather user error.

I had the two iso images burned as single files onto two CDs (cd burner
software didn't recognize iso image).  I had the 2nd iso
image loopback mounted and exported from an nfs server.  Therefore, some
files could not be found during install.

After "unpacking" both iso images into a common directory, the installation
proceeded without problems.

Thanks for the quick response.
Comment 3 Michael Fulbright 2000-10-04 12:42:37 EDT
No problem - this should be covered in the README files, if not let me know so
we can fix our documentation.

Note You need to log in before you can comment on or make changes to this bug.